### Method

# Gsk Transformrotate

#### Declaration [src]

    GskTransform*
    gsk_transform_rotate (
      GskTransform* next,
      float angle
    )

#### Description [src]

Rotates `next` `angle` degrees in 2D - or in 3D-speak, around the Z axis. The rotation happens around the origin point of (0, 0).

#### Parameters

`angle`

  Type: `float`

  The rotation angle, in degrees (clockwise)

#### Return value

Type: `GskTransform`

The new transform.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.